
Katello - Bug #24115

katello allows setting invalid repo settings that pulp does not accept

06/29/2018 05:07 PM - Chris Duryee

Status: Closed   

Priority: Normal   

Assignee: Christine Fouant   

Category: Repositories   

Target version: Katello 3.9.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1570068 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/767
Description

If you create a yum repo and add "upstream_password" to the repo via hammer (hammer -u admin -p changeme repository update

--id 1 --upstream-password "foo"), katello will tell pulp to create a task to update the importer and return immediately back to the user.

However, Pulp will give an error, and not update the importer:

"""

PulpDataException: Configuration errors:

The configuration parameter <basic_auth_password> requires the <basic_auth_username> parameter to also be set.

"""

Katello should return this error back to the user instead of assuming the task was successful. Once this happens, subsequent

updates to the importer will fail until the original issue is corrected, since the incorrect value is now in katello_repositories.

Associated revisions

Revision 81db0bd5 - 09/07/2018 05:52 PM - Christine Fouant

fixes #24115, #24534 - validate upstream auth on repository

History

#1 - 06/29/2018 05:34 PM - Chris Duryee

- Bugzilla link set to 1570068

#2 - 07/31/2018 02:10 PM - The Foreman Bot

- Assignee set to Christine Fouant

- Pull request https://github.com/Katello/katello/pull/7584 added

#3 - 07/31/2018 03:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#4 - 08/01/2018 05:46 PM - John Mitsch

- Target version set to Katello 3.9.0

- Triaged changed from No to Yes

#5 - 09/04/2018 02:11 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/7673 added

#6 - 09/04/2018 02:13 PM - Chris Duryee

- Pull request deleted (https://github.com/Katello/katello/pull/7584)

#7 - 09/07/2018 06:01 PM - Christine Fouant
- Status changed from Ready For Testing to Closed

Applied in changeset katello|81db0bd58e66e93075f7c6f61824b0f0f8d08257.
